Create Chat Completion (Non-Streaming)
Header Parameters
Request Body
application/json
The ID of the model to use. For details on which models are compatible with the Chat API, please refer to the model endpoint compatibility table.
A list of messages comprising the conversation so far. Python code example.
What sampling temperature to use, between 0 and 2. Higher values like 0.8 make the output more random, while lower values like 0.2 make it more focused and deterministic. We generally recommend altering this or top_p but not both.
An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered. We generally recommend altering this or temperature but not both.
Defaults to 1. How many chat completion choices to generate for each input message.
Defaults to false. If set, partial message deltas will be sent as in ChatGPT. Tokens will be sent as server-sent events with data only, available as they become available, and the stream terminates with a data: [DONE] message. Python code example.
Defaults to null. Up to 4 sequences where the API will stop generating further tokens.
Defaults to inf. The maximum number of tokens to generate in the chat completion. The total length of input tokens and generated tokens is limited by the model's context length. Python code example for counting tokens.
Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model's likelihood to talk about new topics. See more information on frequency and presence penalties.
Defaults to 0. Number between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model's likelihood to repeat the same lines. For more information on frequency and presence penalties.
Modify the likelihood of specified tokens appearing in the completion. Accepts a JSON object that maps tokens (specified by their token ID in the tokenizer) to an associated bias value (-100 to 100). Mathematically, the bias is added to the model's generated logits before sampling. The exact effect varies by model, but values between -1 and 1 should decrease or increase the likelihood of the associated token being selected; values like -100 or 100 should cause the associated token to be disabled or exclusively selected.
A unique identifier representing your end-user, which can help OpenAI monitor and detect abuse. Learn more.
An object specifying the format the model must output. Setting { "type": "json_object" } enables JSON mode, which ensures the message generated by the model is valid JSON. Important: when using JSON mode, you must also instruct the model to produce JSON via a system or user message. Otherwise, the model may generate an endless stream of whitespace until the generation reaches the token limit, causing increased latency and a "stuck" request appearance. Also note that if finish_reason="length", the message content may be partially cut off, indicating that generation exceeded max_tokens or the conversation exceeded the maximum context length. Display properties.
This feature is in beta. If specified, our system will make a best effort to sample deterministically, such that repeated requests with the same seed and parameters should return the same result. Determinism is not guaranteed, and you should refer to the system_fingerprint response parameter to monitor backend changes.
A list of tools the model may call. Currently, only functions are supported as tools. Use this to provide a list of functions for which the model can generate JSON inputs.
Controls which (if any) function is called by the model. none means the model will not call a function and instead generates a message. auto means the model can choose between generating a message and calling a function. Use {"type": "function", "function": {"name": "my_function"}} to force the model to call that function. If no functions exist, defaults to none. If functions exist, defaults to auto. Display possible types.
Response Body
application/json
curl -X POST "https://loading/v1/chat/completions" \ -H "Content-Type: string" \ -H "Accept: string" \ -H "Content-Type: application/json" \ -d '{ "model": "qwq-plus", "messages": [ { "role": "user", "content": "nihao." } ], "max_tokens": 1000 }'{
"id": "chatcmpl-123",
"object": "chat.completion",
"created": 1677652288,
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "\n\nHello there, how may I assist you today?"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 9,
"completion_tokens": 12,
"total_tokens": 21
}
}How is this guide?
Last updated on